Skip to content
PUT/{organizationId}/{mandateId}/finance/accounting/postings/{postingId}

Edit posting

Updates information of an existing posting by its id with all of its details

Required permissions:

  • mandate.read

  • posting.edit

Path Parameters

organizationIdstringrequired
mandateIdstringrequired
postingIdstringrequired

Request Body required

Content-Type: application/json

receiptNumberstringrequired
textstringrequired

maxLength: 1000

debitAccountintegerrequired

minimum: 1

maximum: 999999999

creditAccountintegerrequired

minimum: 1

maximum: 999999999

receiptDatestringrequired
deliveryDatestring | nulloptional
taxCodestring | nulloptional

Default: null

minLength: 1

maxLength: 5

costCenter1number | nulloptional

Default: null

minimum: 1

maximum: 99999999

costCenter2number | nulloptional

Default: null

minimum: 1

maximum: 99999999

Authentication: X-API-Key

Request

PUT/{organizationId}/{mandateId}/finance/accounting/postings/{postingId}
curl --request PUT 'https://cloud.campai.com/api/{organizationId}/{mandateId}/finance/accounting/postings/{postingId}' \
  --header 'X-API-Key: YOUR_API_KEY' \
  --header 'Content-Type: application/json' \
  --data '{
  "receiptNumber": "string",
  "text": "string",
  "amount": 1,
  "debitAccount": 1,
  "creditAccount": 1,
  "receiptDate": "string"
}'

Responses

This endpoint returns different response codes based on the request outcome.

200Successful response

Content-Type: application/json

ObjectId as string

Response

200
{
  "_id": "000000000000000000000001"
}

400Invalid input data

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

400
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}

401Authorization not provided

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

401
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}

403Insufficient access

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

403
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}

404Not found

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

404
{
  "code": "NOT_FOUND",
  "message": "Not found",
  "issues": []
}

500Internal server error

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

500
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}